Skip to main content
POST
/
name-match
Verify Name Match
curl --request POST \
  --url https://sandbox.cashfree.com/verification/name-match \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "ABC00123",
  "name_1": "JOHN DOE",
  "name_2": "JOHN DOE"
}
'
{
  "verification_id": "ABC00123",
  "reference_id": 12345,
  "name_1": "JOHN DOE",
  "name_2": "JOHN DOE",
  "status": "SUCCESS",
  "score": 1,
  "reason": "DIRECT_MATCH"
}

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to verify names with variations.

verification_id
string
default:ABC00123
required

It is the unique ID you need to create to identify the verification request. The maximum character limit is 50. Only alphanumeric, period (.), hyphen (-) and underscore ( _ ) are allowed.

Example:

"ABC00123"

name_1
string
default:JOHN DOE
required

It is the name you want to verify.

Example:

"JOHN DOE"

name_2
string
default:JOHN DOE
required

It is the name you want to verify with name_1.

Example:

"JOHN DOE"

Response

Success response for verifing name variations.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"ABC00123"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

name_1
string

It displays the name you entered for verification.

Example:

"John Doe"

name_2
string

It displays the name you entered for verificaiton with name_1.

Example:

"John Snow"

status
string

It displays the status of the API request. Possible values are

  • SUCCESS: A successful name match.
Example:

"SUCCESS"

score
number

It displays the score for name match verification, with values ranging from 0 to 1.

Example:

0.93

reason
string

It justifies the match score for the API request.

Example:

"GOOD_PARTIAL_MATCH"